#
# spec file for package ghc-bzlib-conduit
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name bzlib-conduit
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.3.0.2
Release:        bp154.1.14
Summary:        Streaming compression/decompression via conduits
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bindings-DSL-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  libbz2-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-random-devel
%endif

%description
Streaming compression/decompression via conduits.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       libbz2-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/test
%{_datadir}/%{pkg_name}-%{version}/test/sample1.bz2
%{_datadir}/%{pkg_name}-%{version}/test/sample1.ref
%{_datadir}/%{pkg_name}-%{version}/test/sample2.bz2
%{_datadir}/%{pkg_name}-%{version}/test/sample2.ref
%{_datadir}/%{pkg_name}-%{version}/test/sample3.bz2
%{_datadir}/%{pkg_name}-%{version}/test/sample3.ref
%{_datadir}/%{pkg_name}-%{version}/test/sample4.bz2
%{_datadir}/%{pkg_name}-%{version}/test/sample4.ref
%{_datadir}/%{pkg_name}-%{version}/test/sample5.bz2
%{_datadir}/%{pkg_name}-%{version}/test/sample5.ref

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Sun Nov 29 2020 psimons@suse.com
- Add bzlib-conduit at version 0.3.0.2.
